Skip to content
Developer

StudioTraining / StudioTrainingChallenge

Studio training6 EndpointsCRM / StudioTraining / StudioTrainingChallenge

Returns a list of StudioTrainingChallenge objects

GET/api/crm/studio_training/challenge

Query parameters

idstring
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
namestring
startstringFirst moment that counts
endstringLast moment that counts
metricstringWhat is counted: training_days, sessions or checkins
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of StudioTrainingChallenge objectsarray<StudioTrainingChallenge>

Show fields (10)
  • idinteger

    Primary key of the training challenge. Internal ID.

  • namestring

    Name of the challenge.

  • descriptionstring

    Description of the challenge.

  • startstring (date-time)

    First moment that counts

  • endstring (date-time)

    Last moment that counts

  • metricstring

    What is counted: training_days, sessions or checkins

  • target_valueinteger

    How many of the metric complete the challenge

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/challenge \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "start": "2026-10-15T09:30:00+02:00",
    "end": "2026-10-15T09:30:00+02:00",
    "metric": "string",
    "target_value": 1,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  }
]

Create a single StudioTrainingChallenge

POST/api/crm/studio_training/challenge

Request body application/json

  • dataStudioTrainingChallenge
    Show fields (10)
    • idinteger

      Primary key of the training challenge. Internal ID.

    • namestring

      Name of the challenge.

    • descriptionstring

      Description of the challenge.

    • startstring (date-time)

      First moment that counts

    • endstring (date-time)

      Last moment that counts

    • metricstring

      What is counted: training_days, sessions or checkins

    • target_valueinteger

      How many of the metric complete the challenge

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Create a single StudioTrainingChallengeStudioTrainingChallenge

Show fields (10)
  • idinteger

    Primary key of the training challenge. Internal ID.

  • namestring

    Name of the challenge.

  • descriptionstring

    Description of the challenge.

  • startstring (date-time)

    First moment that counts

  • endstring (date-time)

    Last moment that counts

  • metricstring

    What is counted: training_days, sessions or checkins

  • target_valueinteger

    How many of the metric complete the challenge

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/challenge \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "start": "2026-10-15T09:30:00+02:00",
    "end": "2026-10-15T09:30:00+02:00",
    "metric": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "start": "2026-10-15T09:30:00+02:00",
  "end": "2026-10-15T09:30:00+02:00",
  "metric": "string",
  "target_value": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Returns a single StudioTrainingChallenge

GET/api/crm/studio_training/challenge/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single StudioTrainingChallengeStudioTrainingChallenge

Show fields (10)
  • idinteger

    Primary key of the training challenge. Internal ID.

  • namestring

    Name of the challenge.

  • descriptionstring

    Description of the challenge.

  • startstring (date-time)

    First moment that counts

  • endstring (date-time)

    Last moment that counts

  • metricstring

    What is counted: training_days, sessions or checkins

  • target_valueinteger

    How many of the metric complete the challenge

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/challenge/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "start": "2026-10-15T09:30:00+02:00",
  "end": "2026-10-15T09:30:00+02:00",
  "metric": "string",
  "target_value": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Update a single StudioTrainingChallenge

PUT/api/crm/studio_training/challenge/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataStudioTrainingChallenge
    Show fields (10)
    • idinteger

      Primary key of the training challenge. Internal ID.

    • namestring

      Name of the challenge.

    • descriptionstring

      Description of the challenge.

    • startstring (date-time)

      First moment that counts

    • endstring (date-time)

      Last moment that counts

    • metricstring

      What is counted: training_days, sessions or checkins

    • target_valueinteger

      How many of the metric complete the challenge

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a single StudioTrainingChallengeStudioTrainingChallenge

Show fields (10)
  • idinteger

    Primary key of the training challenge. Internal ID.

  • namestring

    Name of the challenge.

  • descriptionstring

    Description of the challenge.

  • startstring (date-time)

    First moment that counts

  • endstring (date-time)

    Last moment that counts

  • metricstring

    What is counted: training_days, sessions or checkins

  • target_valueinteger

    How many of the metric complete the challenge

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/challenge/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "start": "2026-10-15T09:30:00+02:00",
    "end": "2026-10-15T09:30:00+02:00",
    "metric": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "start": "2026-10-15T09:30:00+02:00",
  "end": "2026-10-15T09:30:00+02:00",
  "metric": "string",
  "target_value": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Update a single StudioTrainingChallenge

PATCH/api/crm/studio_training/challenge/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataStudioTrainingChallenge
    Show fields (10)
    • idinteger

      Primary key of the training challenge. Internal ID.

    • namestring

      Name of the challenge.

    • descriptionstring

      Description of the challenge.

    • startstring (date-time)

      First moment that counts

    • endstring (date-time)

      Last moment that counts

    • metricstring

      What is counted: training_days, sessions or checkins

    • target_valueinteger

      How many of the metric complete the challenge

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a single StudioTrainingChallengeStudioTrainingChallenge

Show fields (10)
  • idinteger

    Primary key of the training challenge. Internal ID.

  • namestring

    Name of the challenge.

  • descriptionstring

    Description of the challenge.

  • startstring (date-time)

    First moment that counts

  • endstring (date-time)

    Last moment that counts

  • metricstring

    What is counted: training_days, sessions or checkins

  • target_valueinteger

    How many of the metric complete the challenge

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/challenge/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "start": "2026-10-15T09:30:00+02:00",
    "end": "2026-10-15T09:30:00+02:00",
    "metric": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "start": "2026-10-15T09:30:00+02:00",
  "end": "2026-10-15T09:30:00+02:00",
  "metric": "string",
  "target_value": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}

Delete a single StudioTrainingChallenge (soft delete)

DELETE/api/crm/studio_training/challenge/{identifier}

Path parameters

identifierrequiredstring

Responses

200Delete a single StudioTrainingChallengeStudioTrainingChallenge

Show fields (10)
  • idinteger

    Primary key of the training challenge. Internal ID.

  • namestring

    Name of the challenge.

  • descriptionstring

    Description of the challenge.

  • startstring (date-time)

    First moment that counts

  • endstring (date-time)

    Last moment that counts

  • metricstring

    What is counted: training_days, sessions or checkins

  • target_valueinteger

    How many of the metric complete the challenge

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/challenge/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "start": "2026-10-15T09:30:00+02:00",
  "end": "2026-10-15T09:30:00+02:00",
  "metric": "string",
  "target_value": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}